package net.jieyuu.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import net.jieyuu.model.AddressDO;
import net.jieyuu.mapper.AddressMapper;
import net.jieyuu.service.AddressService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 电商-公司收发货地址表 服务实现类
 * </p>
 *
 * @author jieyuu
 * @since 2024-02-12
 */
@Service
public class AddressServiceImpl extends ServiceImpl<AddressMapper, AddressDO> implements AddressService {
    @Autowired
    private AddressMapper addressMapper;

    @Override
    public AddressDO detail(Long id) {
        QueryWrapper<AddressDO> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("id", id);
        return addressMapper.selectOne(queryWrapper);
    }
}
